Security Experts:

Cisco Patches SQL Injection Flaw in Prime License Manager

Cisco has fixed a vulnerability in the web framework code of Cisco Prime License Manager that could allow an attacker to execute arbitrary SQL queries.

The security flaw, which could be exploited remotely without authentication, is the result of lack of proper validation of user-supplied input in SQL queries. As a result, an attacker could send crafted HTTP POST requests containing malicious SQL statements to affected applications, thus triggering the bug. 

“A successful exploit could allow the attacker to modify and delete arbitrary data in the PLM database or gain shell access with the privileges of the postgres user,” Cisco explains in an advisory.

The vulnerability was found by Suhail Alaskar (of Saudi Information Technology Company) in Prime License Manager releases 11.0.1 and later, and impacts both standalone and coresident deployments (where Prime License Manager is installed as part of the Unified Communications Manager and Unity Connection). 

Acoording to Cisco, there are no workarounds to address the vulnerability, but software updates that resolve the issue have been already released. Specifically, Cisco Prime License Manager release patch ciscocm.CSCvk30822_v1.0.k3.cop.sgn addresses the bug. 

“The same COP file can be used with standalone deployments of Cisco Prime License Manager as well as with coresident deployments as part of Cisco Unified Communications Manager and Cisco Unity Connection and with all affected versions,” the company explains. 

The patch can be installed on Prime License Manager, Unified Communications Manager and Unity Connection 11.5(1) only. Earlier releases need to be upgraded to 11.5(1) before installing the patch, which is available for download (along with a Readme containing installation instructions) from the Software Center on Cisco.com.

According to Cisco, the Product Security Incident Response Team (PSIRT) is not aware of the security flaw being exploited, as there are no “public announcements or malicious use of the vulnerability.”

“Cisco Unified Communications Manager and Cisco Unity Connection Releases 12.0 and later have been confirmed to be not affected by this vulnerability as Cisco Prime License Manager is no longer included in these releases,” Cisco notes. 

Related: Cisco Releases Second Patch for Webex Meetings Vulnerability

Related: Cisco Patches Serious Flaws in RV, SD-WAN, Umbrella Products

view counter